Skip to content
Start here

SSL Verification Details

GET/zones/{zone_id}/ssl/verification

Get SSL Verification Info for a Zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Mutual TLS Certificates WriteAccess: Mutual TLS Certificates ReadSSL and Certificates WriteSSL and Certificates Read
Path ParametersExpand Collapse
zone_id: string

Identifier.

maxLength32
Query ParametersExpand Collapse
retry: optional true

Immediately retry SSL Verification.

ReturnsExpand Collapse
result: optional array of Verification { certificate_status, brand_check, cert_pack_uuid, 5 more }
certificate_status: "initializing" or "authorizing" or "active" or 4 more

Current status of certificate.

One of the following:
"initializing"
"authorizing"
"active"
"expired"
"issuing"
"timing_out"
"pending_deployment"
brand_check: optional boolean

Certificate Authority is manually reviewing the order.

cert_pack_uuid: optional string

Certificate Pack UUID.

signature: optional "ECDSAWithSHA256" or "SHA1WithRSA" or "SHA256WithRSA"

Certificate’s signature algorithm.

One of the following:
"ECDSAWithSHA256"
"SHA1WithRSA"
"SHA256WithRSA"
validation_method: optional ValidationMethod

Validation method in use for a certificate pack order.

One of the following:
"http"
"cname"
"txt"
verification_info: optional { record_name, record_target }

Certificate’s required verification information.

record_name: optional "record_name" or "http_url" or "cname" or "txt_name"

Name of CNAME record.

formathostname
One of the following:
"record_name"
"http_url"
"cname"
"txt_name"
record_target: optional "record_value" or "http_body" or "cname_target" or "txt_value"

Target of CNAME record.

formathostname
One of the following:
"record_value"
"http_body"
"cname_target"
"txt_value"
verification_status: optional boolean

Status of the required verification information, omitted if verification status is unknown.

verification_type: optional "cname" or "meta tag"

Method of verification.

One of the following:
"cname"
"meta tag"

SSL Verification Details

curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/ssl/verification \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": [
    {
      "certificate_status": "active",
      "brand_check": false,
      "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948",
      "signature": "ECDSAWithSHA256",
      "validation_method": "txt",
      "verification_info": {
        "record_name": "record_name",
        "record_target": "record_value"
      },
      "verification_status": true,
      "verification_type": "cname"
    }
  ]
}
Returns Examples
{
  "result": [
    {
      "certificate_status": "active",
      "brand_check": false,
      "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948",
      "signature": "ECDSAWithSHA256",
      "validation_method": "txt",
      "verification_info": {
        "record_name": "record_name",
        "record_target": "record_value"
      },
      "verification_status": true,
      "verification_type": "cname"
    }
  ]
}